<?php
//路由解析类
class Router{  
	private $route;  
	private $Ctrl;  
	private $action;  
	private $params;  
	
	public function __construct(){    
		if(empty($_GET)){
			$url = 'index';
		}else{
			$url = $_GET;
			//url重写时
			foreach($url as $key=>$val){
				$url = $key;
			}
		}
		//存在特殊字符时的处理
		$url2 = str_replace('/index.php?','',$_SERVER["REQUEST_URI"]);
		if(strpos($url2,"?") || strpos($url2,"&") || strpos($url2,"=") ){
			$url = $url2;
		}
		
		$routeParts = explode("/",$url);   
		$this->Ctrl=$routeParts[0];    
		$this->action=isset($routeParts[1])? $routeParts[1]:"index";    
		array_shift($routeParts);    
		array_shift($routeParts); 		
		$params = array();
		if(!empty($routeParts)){
			$firstVal = "";
			$length = count($routeParts);
			if($length%2!=0){
				$length++;
			}
			for($i=0;$i<$length;$i++){
				if ($i%2==0){
					$firstVal = $routeParts[$i];
				}else{
					$params[$firstVal] = isset($routeParts[$i])?$routeParts[$i]:'';
				}
			}
		}
		$this->params=$params;  
	} 
	
	public function getAction(){    
		if(empty($this->action)) 
			$this->action="index";    
		return $this->action;  
	}  
	
	public function getCtrl(){    
		return $this->Ctrl; 
	}  
	
	public function getParams(){    
		return $this->params;  
	}
}
