<?php
//admin ctrl
class adminCtrl extends Ctrl {
	public function index(){
		$this->post();
    }
	
	public function categoryManagement(){
		require("lib/tree.class.php");
		$Db = $this->conDb('admin');
		$cateArr = $Db->getCateArr();
		$tree = new Tree($cateArr);
		$this->viewObj->assign('tableRow',$tree->view('index.php?admin/edit/tag/category','index.php?admin/del/tag/category'));
		$this->viewObj->assign('select',$tree->select(0));
		$this->viewObj->display('categoryManagement.tpl');
	}
	
	public function replyList(){
		$Db = $this->conDb('admin');
		$replyList = $Db->getReplyList(100);
		$this->viewObj->assign('replyList',$replyList);
		$this->viewObj->display('replyList.tpl');
    }
	
	public function topicList(){
		$Db = $this->conDb('admin');
		$topicList = $Db->getTopicList(0,100);
		$this->viewObj->assign('topicList',$topicList);
		$this->viewObj->display('topicList.tpl');
    }
	
	public function post(){
		require("lib/tree.class.php");
		$Db = $this->conDb('admin');
		$cateArr = $Db->getCateArr();
		$tree = new Tree($cateArr);
		$this->viewObj->assign('select',$tree->select(0));
		$this->viewObj->display('post.tpl');
	}
	
	public function addTopic(){
		$Db = $this->conDb('admin');
		$data = $Db->addTopicData($_POST);
		$arr='';
		if(is_numeric($data) && $data>0){
			$arr['returnId'] = $data;
			$arr['status'] = "操作成功";
			$url = 'index.php?content/show/id/'.$arr['returnId'];
		}else{ 
			$arr['returnId'] = 0;
			$arr['status'] = "系统繁忙,操作失败";
			$url = 'index.php?admin/post';
			echo "<script>alert('".$arr['status']."')</script>";
		}
		header("location:$url");
	}
	
	public function del(){
		$Db = $this->conDb('admin');
		$tableArr=array('reply','topic','category');
		$table = $_GET['tag'];
		$id = $_GET['id'];
		if(in_array($table,$tableArr) && is_numeric($id)){
			$Db->del($table,$id);		
		}
		//返回上一页
		header('location:'.$_SERVER['HTTP_REFERER']);
	}
	
	public function edit(){
		$Db = $this->conDb('admin');
		$tableArr=array('reply','topic','category');
		$table = $_GET['tag'];
		$id = $_GET['id'];
		if(in_array($table,$tableArr) && is_numeric($id)){
			if($table=='reply' && trim($_POST['Content'])!=''){
				$url = 'index.php?admin/replyList';
				$data['Content'] = trim($_POST['Content']);
			}else if($table=='topic' && trim($_POST['Title'])!='' && trim($_POST['Content'])!=''){
				$url = 'index.php?admin/topicList';
				$data['Title'] = $_POST['Title'];
				$data['Content'] = $_POST['Content'];
			}else if($table=='category' && trim($_POST['CateName'])!=''){
				$url = $_SERVER['HTTP_REFERER'];
				$data['CateName'] = $_POST['CateName'];
			}
			if(isset($data)){
				$Db->updata($table,$data,$id);	
			}
		}
		//返回上一页
		header('location:'.$url);
	}
	
	public function addCate(){
		$Db = $this->conDb('admin');
		
		$data['ParentId'] = $_POST['ParentId'];
		$data['CateName'] = trim($_POST['CateName']);
		$data['Status'] = 1;
		$data['CreateDate'] = date('Y-m-d H:i"s');
		$Db->addCateData('category',$data);		
		
		//返回上一页
		header('location:'.$_SERVER['HTTP_REFERER']);
	}
	
	public function editContent(){
		$Db = $this->conDb('admin');
		$id="-100";
		if(isset($_GET['id']) && is_numeric($_GET['id']) ){
			$id = $_GET['id'];
		}
		if($_GET['tag']=='topic'){
			$data = $Db->getTopic($id);
			$action='topic';
		}else if($_GET['tag']=='reply'){
			$data = $Db->getReply($id);
			$data['Title']='';
			$action='reply';
		}
		$this->viewObj->assign('id',$id);
		$this->viewObj->assign('action',$action);
		$this->viewObj->assign('data',$data);
		$this->viewObj->display('editContent.tpl');
	}
}
?>