<?php
//content ctrl
class contentCtrl extends Ctrl {

	public function getWhereId(){
		$whereId = trim($_GET['id']);
		if(!empty($whereId) && is_numeric($whereId)){
			$whereId = $whereId;
		}else{
			$whereId = "-100";
		}
		return $whereId;
	}
	
	public function show(){
		$Db = $this->conDb('content');
		
		//获取首页地址
		$indexUrl = $this->getIndexUrl();
		$this->viewObj->assign('indexUrl',$indexUrl);
		
		//获取导航分隔符和第三级页面显示的条数
		$config = $Db->getConfig();
		$delimiter = $config['Delimiter'];
		$this->viewObj->assign('delimiter',$delimiter);
		
		//设置主帖id
		$whereId = $this->getWhereId();
		$this->viewObj->assign('TopicId',$whereId);
		
		//获取主帖内容和导航条
		$topicArr = $Db->getTopicArr($whereId);
		$this->viewObj->assign('topicArr',$topicArr);
		
		//获取评论总数
		// $replyListCount = $Db->getReplyListCount($whereId);
		// $ThirdListCount = $config['ThirdListCount'];
		// $page = ceil($replyListCount/$ThirdListCount);
		// if($page>1){
			// echo "需要翻页啦";
		// }

		//获取评论内容
		$replyList = $Db->getReplyList($whereId,0,1000);
		$this->viewObj->assign('replyList',$replyList);
		
		$this->viewObj->assign('user','admin');

		$this->viewObj->display('content.tpl');
    }
	
	public function addReply(){
		$Db = $this->conDb('content');
		$data = $Db->addReplyData($_POST);
		$arr='';
		if(is_numeric($data) && $data>0){
			$arr['returnId'] = $data;
			$arr['status'] = "操作成功";
		}else{ 
			$arr['returnId'] = 0;
			$arr['status'] = "系统繁忙,操作失败";
		}
		if(isset($_GET['ajax']) && $_GET['ajax']==true){
			echo json_encode($arr);
		}else{
			//返回上一页
			header('location:'.$_SERVER['HTTP_REFERER']);
		}

	}
}
?>