-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- 主机: localhost
-- 生成日期: 2011 年 07 月 07 日 12:05
-- 服务器版本: 5.5.8
-- PHP 版本: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- 数据库: `minibb`
--

-- --------------------------------------------------------

--
-- 表的结构 `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `ParentId` int(5) NOT NULL COMMENT '父类id',
  `CateName` varchar(100) NOT NULL COMMENT '分类名称',
  `CateDesc` int(3) NOT NULL COMMENT '排序',
  `Status` int(1) NOT NULL COMMENT '1有效,0删除',
  `CreateDate` datetime NOT NULL COMMENT '建立时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='分类表' AUTO_INCREMENT=19 ;

--
-- 转存表中的数据 `category`
--

INSERT INTO `category` (`ID`, `ParentId`, `CateName`, `CateDesc`, `Status`, `CreateDate`) VALUES
(1, 0, 'Computer Software', 1, 1, '2011-07-01 16:35:47'),
(2, 0, 'mobile soft', 2, 1, '2011-07-01 16:36:05'),
(11, 1, 'kc软件', 0, 1, '2011-07-07 10:43:37'),
(12, 11, '安卓', 0, 1, '2011-07-07 10:43:50'),
(13, 11, '塞班', 0, 1, '2011-07-07 10:43:57'),
(14, 11, '微软', 0, 1, '2011-07-07 10:44:09'),
(15, 2, '有信', 0, 1, '2011-07-07 10:44:23'),
(16, 15, '安卓', 0, 1, '2011-07-07 10:44:30'),
(17, 15, '塞班', 0, 1, '2011-07-07 10:44:37'),
(18, 15, '微软', 0, 1, '2011-07-07 10:44:46');

-- --------------------------------------------------------

--
-- 表的结构 `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `IndexListCount` int(5) NOT NULL COMMENT '首页显示的条数',
  `SecondListCount` int(5) NOT NULL COMMENT '二级页面显示的条数',
  `ThirdListCount` int(5) NOT NULL COMMENT '三级页面显示的条数',
  `Delimiter` varchar(10) NOT NULL COMMENT '导航分隔符',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- 转存表中的数据 `config`
--

INSERT INTO `config` (`ID`, `IndexListCount`, `SecondListCount`, `ThirdListCount`, `Delimiter`) VALUES
(1, 10, 10, 10, '>>>');

-- --------------------------------------------------------

--
-- 表的结构 `reply`
--

CREATE TABLE IF NOT EXISTS `reply` (
  `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `TopicId` int(5) NOT NULL COMMENT '主帖id',
  `ReplyId` int(5) DEFAULT NULL COMMENT '基于评论的id',
  `Content` varchar(1000) NOT NULL COMMENT '内容',
  `CreateDate` datetime NOT NULL COMMENT '发布时间',
  `User` varchar(20) NOT NULL COMMENT '发布人',
  `Status` int(2) NOT NULL COMMENT '审核状态 0删除 1有效',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='回帖表' AUTO_INCREMENT=3 ;

--
-- 转存表中的数据 `reply`
--

INSERT INTO `reply` (`ID`, `TopicId`, `ReplyId`, `Content`, `CreateDate`, `User`, `Status`) VALUES
(1, 1, NULL, '先看看。。。。。。。。<br />', '2011-07-07 11:54:57', 'admin', 1),
(2, 1, 1, '<div class="ref"><h4>引用来自“admin”的评论</h4><p>先看看。。。。。。。。<br></p></div>怎么样呀？？？', '2011-07-07 11:55:06', 'admin', 1);

-- --------------------------------------------------------

--
-- 表的结构 `topic`
--

CREATE TABLE IF NOT EXISTS `topic` (
  `ID` int(5) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `CategoryId` int(5) NOT NULL COMMENT '分类id',
  `Title` varchar(500) NOT NULL COMMENT '标题',
  `Content` varchar(1000) NOT NULL COMMENT '内容',
  `CreateDate` datetime NOT NULL COMMENT '发布时间',
  `User` varchar(20) NOT NULL COMMENT '发布人',
  `TopicDesc` int(5) DEFAULT NULL COMMENT '排序',
  `Status` int(2) NOT NULL COMMENT '审核状态 0删除 1有效',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='主帖表' AUTO_INCREMENT=2 ;

--
-- 转存表中的数据 `topic`
--

INSERT INTO `topic` (`ID`, `CategoryId`, `Title`, `Content`, `CreateDate`, `User`, `TopicDesc`, `Status`) VALUES
(1, 16, '有信安卓1上线啦', '<img src="lib/kindeditor/skins/default/file.gif" />&nbsp;<a href="/minibb/lib/kindeditor/php/../attached/131003246612069.sis">下载地址</a>&nbsp; 欢迎大家测试，有问必答。。。。。。。。<br />', '2011-07-07 11:54:50', 'admin', NULL, 1);
