<?php
//admin model
class adminModel extends Model{
	public function getCateArr() {
		$querySql ='select ID AS iClassID,ParentId AS iParentID,CateName AS cClassName from category where Status=1 order by CreateDate desc,ParentId,CateDesc';
		$result = $this->con->execute($querySql);
		$data = $this->con->getAll();
		return $data;		 
    }
	
	public function getReplyList(){
		$querySql ='select topic.Title,reply.Content,reply.ID,reply.CreateDate,reply.User from reply,topic where reply.Status=1 and reply.TopicId = topic.ID order by reply.CreateDate desc,topic.CreateDate desc,TopicId,ReplyId';
		$result = $this->con->execute($querySql);
		$data = $this->con->getAll();
		return $data;		 
	}
	
	public function getTopicList($start=0,$rows=10){
		return $this->con->select('topic','*',array('Status'=>1),$start,$rows,'CreateDate','DESC');
	}
	
	public function addTopicData($postData){
		$data = array(
				'CategoryId'=>$postData['CategoryId'],
				'Title'=>$postData['Title'],
				'Content'=>$postData['Content'],
				'CreateDate'=>date('Y-m-d H:i:s'),
				'User'=>'admin',
				'Status'=>1
				);
		return $this->con->insert('topic',$data);
	}
	
	public function del($table,$id){
		$data = array("Status"=>0);
		$this->con->update($table,$data,$id);
	}
	
	public function updata($table,$data,$id){
		$this->con->update($table,$data,$id);
	}
	
	public function addCateData($table,$data){
		$this->con->insert($table,$data);
	}
	
	public function getTopic($id){
		return $this->con->select('topic','*',array('Status'=>1,'ID'=>$id),0,1);
	}
	
	public function getReply($id){
		return $this->con->select('reply','*',array('Status'=>1,'ID'=>$id),0,1);
	}
}
?>