<?php
//content model
class contentModel extends Model{
	//返回所有的上级节点
	public function getNodeOfTree($result,$id,$arr){
		if($id == 0){             
			return $arr;         
		}     
		$return = '';
		foreach ($result as $items){     
			if($id == $items['ID']){             
				$arr[] = array($items['CateName'],$items['ID']);                    
				$return = $this->getNodeOfTree($result,$items['ParentId'],$arr);          
			}        
		}       
		return $return;   
	}          

	public function getConfig(){
		return $this->con->select('config',array('Delimiter','ThirdListCount'),'',0,1);
	}
	
	public function getNavigateArr($whereId){
		$cateArr = $this->con->select('category','*','',0,10000);
		$cateArr = $this->getNodeOfTree($cateArr,$whereId,array());
		//反转数组保持父子层级关系
		$cateArr = array_reverse($cateArr, true);
		return $cateArr;
	}
	
	public function getTopicArr($whereId){
		$fieldArr = array('CategoryId','Title','Content','CreateDate','User');
		$data = $this->con->select('topic',$fieldArr,array('ID'=>$whereId,'Status'=>1),0,1);
		$data['Navigate']=$this->getNavigateArr($data['CategoryId']);
		return $data;	
	}
	
	public function addReplyData($postData){
		$data = array(
				'TopicId'=>$postData['TopicId'],
				'Content'=>$postData['replyContent'],
				'CreateDate'=>date('Y-m-d H:i:s'),
				'User'=>'admin',
				'Status'=>1
				);
		if(isset($postData['ReplyId']) && !empty($postData['ReplyId'])){
			$data['ReplyId'] = $postData['ReplyId'];
		}
		return $this->con->insert('reply',$data);
	}
	
	public function getReplyList($whereId,$start=0,$rows=10){
		return $this->con->select('reply','*',array('TopicId'=>$whereId,'Status'=>1),$start,$rows);
	}
	
	public function getReplyListCount($whereId){
		return $this->con->select('reply','count(ID)',array('TopicId'=>$whereId,'Status'=>1),0,1);
	}
	
	
}
?>