<?php
//list model
class listModel extends Model {
	
	//返回所有的上级节点
	public function getNodeOfTree($result,$id,$arr){
		if($id == 0){             
			return $arr;         
		}      
		foreach ($result as $items){     
			if($id == $items['ID']){             
				$arr[] = array($items['CateName'],$items['ID']);                    
				$return = $this->getNodeOfTree($result,$items['ParentId'],$arr);          
			}        
		}       
		return $return;   
	}  
	
	//返回所有的叶子节点
	public function scanNodeOfTree($result,&$array=array(),$parentId=0,$lv=0){
		static $i=0; 
		if((bool)$result){
			foreach($result as $value){
				if($value['ParentId']==$parentId){
					$value['lv']=$lv;
					$array[$i]=$value;
					$i++;
					$lv++;
					$this->scanNodeOfTree($result,$array,$value['ID'],$lv--);
				}
			}
		}
	} 

	public function getSecondListCount() {
		$num = $this->con->select('config',array('SecondListCount'),'',0,1);
		return $num['SecondListCount'];
    }

	public function getDelimiter(){
		$str = $this->con->select('config',array('Delimiter'),'',0,1);
		return $str['Delimiter'];
	}
	
	/* 	
	//返回所有的叶子节点的信息
	public function getListCateTitleArr($ParentId,$start=0,$rows=10){
		$result = $this->con->select('category','*',array('Status'=>'1'),0,10000);
		$array='';
		$this->scanNodeOfTree($result,$array,$ParentId);
		$nodeIdStrArr[]=$ParentId;
		if(!empty($array)){
			foreach($array as $row){
				$nodeIdStrArr[] = $row['ID'];
			}
		}
		$nodeIdStr = '';
		if(!empty($nodeIdStrArr)){
			$nodeIdStr = implode(",",$nodeIdStrArr);
		}
		$SecondListCount = $this->getSecondListCount();
		$querySql = 'select * from topic 
					 where CategoryId in ('.$nodeIdStr.')
					 order by CategoryId,TopicDesc,CreateDate desc
					 limit '.$start.','.$SecondListCount;
		$result = $this->con->execute($querySql);
		$data = $this->con->getAll();
		return $data;		 
    } 
	*/
	
	//只返回直接子节点的信息
	public function getListCateTitleArr($ParentId,$start=0,$rows=10){
		$result = $this->con->select('category',array('ID'),array('Status'=>'1','ParentId'=>$ParentId),0,10000);
		$nodeIdStrArr[]=$ParentId;
		if(!empty($result)){
			foreach($result as $row){
				$nodeIdStrArr[]=$row['ID'];
			}
		}
		$nodeIdStr = '';
		if(!empty($nodeIdStrArr)){
			$nodeIdStr = implode(",",$nodeIdStrArr);
		}
		$SecondListCount = $this->getSecondListCount();
		$querySql = 'select * from topic 
					 where CategoryId in ('.$nodeIdStr.')
					 and Status=1
					 order by CategoryId,TopicDesc,CreateDate desc
					 limit '.$start.','.$SecondListCount;
		$result = $this->con->execute($querySql);
		$data = $this->con->getAll();
		return $data;		 
    } 
	
	public function getNavigateArr($whereId){
		$cateArr = $this->con->select('category','*',array('Status'=>'1'),0,10000);
		$cateArr = $this->getNodeOfTree($cateArr,$whereId,array());
		//反转数组保持父子层级关系
		$cateArr = array_reverse($cateArr, true);
		return $cateArr;
	}
	
	public function getlistCateArr($ParentId,$start=0,$rows=10){
		$SecondListCount = $this->getSecondListCount();
		$querySql = 'select * from category 
					 where ParentId in ('.$ParentId.')
					 and Status=1
					 order by CateDesc,CreateDate desc
					 limit '.$start.','.$SecondListCount;
		$result = $this->con->execute($querySql);
		$data = $this->con->getAll();
		return $data;	
	}
	
	public function getCateArr(){
		return $this->con->select('category','*',array('Status'=>'1'),0,10000);
	
	}
}
?>